1.9.0 fails to build on OS X Mavericks


#1

I’ve tried to build 1.9 at least 6 times. The build has failed at different “percentage points”, one failure was at [93%]. I didn’t capture the early errors, assuming the next build would suceed. The following error, however, seems common to all failures.

python makepanda/makepanda.py --everything --installer

[ 66%] Building C++ object built/tmp/p3assimp_composite1.o
In file included from pandatool/src/assimp/p3assimp_composite1.cxx:3:
In file included from pandatool/src/assimp/assimpLoader.cxx:36:
pandatool/src/assimp/pandaLogger.h:32:63: warning: control reaches end of non-void function
[-Wreturn-type]
INLINE bool attachStream(Assimp::LogStream*, unsigned int) {};
^
pandatool/src/assimp/pandaLogger.h:33:64: warning: control reaches end of non-void function
[-Wreturn-type]
INLINE bool detatchStream(Assimp::LogStream*, unsigned int) {}; // sic
^
In file included from pandatool/src/assimp/p3assimp_composite1.cxx:3:
pandatool/src/assimp/assimpLoader.cxx:633:8: error: use of undeclared identifier
‘aiLightSource_AMBIENT’; did you mean ‘aiLightSource_POINT’?
case aiLightSource_AMBIENT:
^~~~~~~~~~~~~~~~~~~~~
aiLightSource_POINT
/usr/local/include/assimp/light.h:70:2: note: ‘aiLightSource_POINT’ declared here
aiLightSource_POINT = 0x2,
^
In file included from pandatool/src/assimp/p3assimp_composite1.cxx:3:
pandatool/src/assimp/assimpLoader.cxx:633:8: error: duplicate case value ‘aiLightSource_POINT’
case aiLightSource_AMBIENT:
^
pandatool/src/assimp/assimpLoader.cxx:590:8: note: previous case defined here
case aiLightSource_POINT: {
^
2 warnings and 2 errors generated.
Storing dependency cache.
Elapsed Time: 23 min 51 sec
The following command returned a non-zero value: g++ -ftemplate-depth-70 -fPIC -c -o built/tmp/p3assimp_composite1.o -Ibuilt/tmp -Ibuilt/include -I/System/Library/Frameworks/Python.framework/Versions/2.7/Headers -Ithirdparty/darwin-libs-a/eigen/include -I/usr/local/include/assimp -DEIGEN_MPL2_ONLY= -DEIGEN_NO_DEBUG= -Ipandatool/src/assimp -fvisibility=hidden -Wno-deprecated-declarations -pthread -fno-exceptions -msse2 -ffast-math -fno-finite-math-only -O2 pandatool/src/assimp/p3assimp_composite1.cxx
Build terminated.

I’ve seen admonitions to use the CVS versions (where Mac-related issues raised in the forum have supposedly been fixed), but I don’t see any CVS links/info anywhere on the Panda3D web site.

Herk


#2

Odd. It detects you have the Assimp library on your computer, but you don’t have a recent version. You could compile with --no-assimp .


#3

I agree! It would be better to have a recent version so it wont have any issues at all. Well, still depends! I’m just saying. :slight_smile: